Bug 477656 - F10 i386 install, ati driver: black screen with ATI Radeon HD 2400 Pro (RV610)
F10 i386 install, ati driver: black screen with ATI Radeon HD 2400 Pro (RV610)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 13:19 EST by Dale Dellutri
Modified: 2018-04-11 04:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:22:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped tar of five text files as described (16.11 KB, application/octet-stream)
2008-12-22 13:19 EST, Dale Dellutri
no flags Details
f10-ati-xorg.conf from the attachment 327676 (67 bytes, text/plain)
2009-01-09 12:29 EST, Matěj Cepl
no flags Details
f10-ati-Xorg.0.log from the attachment 327676 (80.63 KB, text/plain)
2009-01-09 12:29 EST, Matěj Cepl
no flags Details
f10-lspci from the attachment 327676 (1.87 KB, text/plain)
2009-01-09 12:29 EST, Matěj Cepl
no flags Details
f10-radeonhd-xorg.conf from the attachment 327676 (72 bytes, text/plain)
2009-01-09 12:29 EST, Matěj Cepl
no flags Details
f10-radeonhd-Xorg.0.log from the attachment 327676 (88.15 KB, text/plain)
2009-01-09 12:29 EST, Matěj Cepl
no flags Details

  None (edit)
Description Dale Dellutri 2008-12-22 13:19:37 EST
Created attachment 327676 [details]
gzipped tar of five text files as described

Description of problem:
F10 i386 install, ati driver: black screen with ATI Radeon HD 2400 Pro (RV610)

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-62.fc10.i386
(and all previous F10 i386 versions)

How reproducible:
always

Steps to Reproduce:
1. startx
2. 
3.
  
Actual results:
black screen

Expected results:
normal desktop screen

Additional info:
The machine is a Dell Optiplex 755n with ATI Radeon HD 2400 Pro
and a Dell 2709W (1920x1200) LCD Monitor.
(see attachment: f10-lspci)

The F10 software is fully updated as of 2008-12-22.

This problem occurs with all versions of i386 xorg-x11-drv-ati
as of 2008-12-22, even the most recent xorg-x11-drv-ati-6.9.0-62.fc10.i386.
(see attachments: f10-ati-Xorg.0.log, f10-ati-xorg.conf)

(The ati driver of the original install DVD also did not work.
I had to install using the xdriver=vesa)

Adding nomodeset to the boot line does NOT solve the problem.

Compiz is disabled.

Even though the screen is black, typing ctrl-alt-backspace kills the
X session and returns the screen to a command line prompt.
(I've set the machine to boot to run level 3 and I start X by
the command "startx".)

The following do NOT have this problem (they work properly):

1. The radeonhd driver: xorg-x11-drv-radeonhd-1.2.3-1.6.20081128git.fc10.i386
(see attachments: f10-radeonhd-Xorg.0.log, f10-radeonhd-xorg.conf)

2. If I install the 64-bit version of F10, the x86_64 version of the ati
driver works properly.

3. If I install 32-bit Fedora 9, the ati driver works properly.
Comment 1 Dale Dellutri 2008-12-29 17:35:08 EST
Comments added Monday, 2008-12-29, 4:30 PM CST

I did a yum update this morning, which installed a new kernel and a new
ati driver:

[dale@XX ~]$ uname -a
Linux XX.eckhardttrading.local 2.6.27.9-159.fc10.i686.PAE #1 SMP Tue Dec 16 14:59:37 EST 2008 i686 i686 i386 GNU/Linux

[dale@XX ~]$ rpm -qa | grep drv-ati
xorg-x11-drv-ati-6.9.0-63.fc10.i386

The results are the same.  If I try to use the ati driver, X starts (I hear
the welcome music), but the screen remains black.

The radeonhd driver still works, however.
Comment 2 Matěj Cepl 2009-01-09 12:29:00 EST
Created attachment 328569 [details]
f10-ati-xorg.conf from the attachment 327676 [details]
Comment 3 Matěj Cepl 2009-01-09 12:29:10 EST
Created attachment 328570 [details]
f10-ati-Xorg.0.log from the attachment 327676 [details]
Comment 4 Matěj Cepl 2009-01-09 12:29:19 EST
Created attachment 328571 [details]
f10-lspci from the attachment 327676 [details]
Comment 5 Matěj Cepl 2009-01-09 12:29:28 EST
Created attachment 328572 [details]
f10-radeonhd-xorg.conf from the attachment 327676 [details]
Comment 6 Matěj Cepl 2009-01-09 12:29:38 EST
Created attachment 328573 [details]
f10-radeonhd-Xorg.0.log from the attachment 327676 [details]
Comment 7 Dale Dellutri 2009-02-05 13:18:48 EST
Comments added 2009-02-05:

It now works with the most recent ati driver!

I did a yum update this morning, then tested the ati driver.
The most recent version of the driver works.

$ rpm -qa | grep drv-ati
xorg-x11-drv-ati-6.10.0-1.fc10.i386

$ uname -a
Linux XX.eckhardttrading.local 2.6.27.12-170.2.5.fc10.i686.PAE #1 SMP Wed Jan 21 01:54:56 EST 2009 i686 i686 i386 GNU/Linux

I just tried to change the status (below) to closed, but the list of reasons
is incomplete.  Shouldn't there be a FIXED BY LATEST UPDATE or NOW WORKING ?
Comment 8 Bug Zapper 2009-11-18 05:32:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:22:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.